import GroupEvents from "../Events/GroupEvents.js";
import GroupModel from "../Models/GroupModel.js";
import GroupStorage from "../Models/Storage/GroupStorage.js";
export interface IGroupEnvironmentOptions {
    parent: GroupModel;
}
export declare class GroupEnvironment {
    private m_parent;
    private m_events;
    private m_storage;
    constructor(options: IGroupEnvironmentOptions);
    get events(): GroupEvents;
    get parent(): GroupModel;
    get storage(): GroupStorage;
}
